package api.common.pojo.vo.model;

import lombok.Data;

import java.math.BigDecimal;

@Data
public class VehicleVO {
    private String id;  //主键id
    private String vehicleName;  //车辆名称
    private String description;  //车辆描述
    private String[] vehicleType;   //车辆模型
    private String modelLabel;  //车辆模型标签
    private String share;    // 公有私有
    private String parameterType;    // 1 vtd 2 carsim
    //* -------------------------------- vtd --------------------------------
    private String vehicleCode; //车辆编码
    private String vehicleTypeStr;   //车辆模型字符串
    private String vehicleFrontView;
    private String vehicleTopView;  //车辆俯视图
    private BigDecimal maxSpeed;    //最大速度（千米/小时）
    private BigDecimal enginePower;  //发动机功率（千瓦）
    private BigDecimal maxDeceleration;  //最大减速度（米/秒2）
    private BigDecimal maxSteeringAngle;     //最大转角（度）
    private BigDecimal mass;     //质量（千克）
    private BigDecimal frontSurfaceEffective;   //前表面有效面积（平方米）
    private BigDecimal airDragCoefficient;  //空气阻力系数
    private BigDecimal rollingResistanceCoefficient;    //滚动阻力系数
    private BigDecimal wheelDiameter;     //车轮直径（米）
    private String wheelDrive;   //驱动方式
    private BigDecimal overallEfficiency;    //总效率
    private BigDecimal frontDistance;    //车前距（米）
    private BigDecimal rearDistance;    //车后距（米）
    private BigDecimal leftDistance;    //车左距（米）
    private BigDecimal rightDistance;    //车右距（米）
    private BigDecimal heightDistance;    //车高（米）
    private BigDecimal wheelbase;    //轴距（米）
    //* -------------------------------- carsim --------------------------------
//    private Double sprungMass;//簧上质量
//    private Double vehicleWidth;//车辆宽度
//    private Double rotationalInertiaX;//整车绕x轴转动惯量
//    private Double rotationalInertiaY;//整车绕y轴转动惯量
//    private Double rotationalInertiaZ;//整车绕z轴转动惯量
//    private Double rotationalInertiaY;//整车绕y轴转动惯量
//    private Double rotationalInertiaY;//整车绕y轴转动惯量
//    private Double rotationalInertiaY;//整车绕y轴转动惯量
//    private Double rotationalInertiaY;//整车绕y轴转动惯量
//    private Double rotationalInertiaY;//整车绕y轴转动惯量
//    private Double rotationalInertiaY;//整车绕y轴转动惯量
}
